
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>更改文字换行风格 ( cocos2dx change line ) / 憋错料</title>

    <meta name="description" content="更改文字换行风格 ( cocos2dx change line ) Cocos2dx change line 在 cocos2dx change line 的实现中,我们可以简单的使用 dimensions属性控制换行.使用它只需将对应的参数值传入构造函数,或者调用 setDimensions 函数即可. 它的换行策略是:当一个单词超出限制长度时,将它移动到下一行.有时这种策略并不合适.例如,在某些语言中,单词都比较长.如果采用这种策略,会出现每一行中只有一个单词.因此需要更改换行策略.当超出限制长度时,使用 - 作为一个分隔单词的标志. 换行策略调用 通过查看">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">更改文字换行风格 ( cocos2dx change line )</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>Cocos2dx change line</h2>
<p>在 cocos2dx change line 的实现中，我们可以简单的使用&nbsp;<code>dimensions</code>属性控制换行。使用它只需将对应的参数值传入构造函数，或者调用 setDimensions 函数即可。</p>
<p>它的换行策略是：当一个单词超出限制长度时，将它移动到下一行。有时这种策略并不合适。例如，在某些语言中，单词都比较长。如果采用这种策略，会出现每一行中只有一个单词。因此需要更改换行策略。当超出限制长度时，使用&nbsp;<code>-</code>&nbsp;作为一个分隔单词的标志。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMTExMjQ2NDc0NDc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Wm1GdWMyOXVaM2s9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg" /></p>
<h2>换行策略调用</h2>
<p>通过查看Cocos2d-x中换行的实现方式，我发现换行策略是区分平台编程出来的代码。也就是说，为了更改换行策略，我需要分别编写 IOS 和 Java 两部分代码。因为我的目标平台是 Android 平台，因此我只对Java文件进行了更改。IOS 平台的换行策略调用的是系统函数，有兴趣研究的读者可以跟踪源码更改。入口函数为:</p>
<table>
<tbody>
<tr>
<td>
<p>1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
</td>
<td>
<p>bool CCTexture2D::initWithString(const char *text, ccFontDefinition *textDefinition)</p>
<p>{</p>
<p>......</p>

<p>CCImage* pImage = new CCImage();</p>
<p>do</p>
<p>{</p>
<p>CC_BREAK_IF(NULL == pImage);</p>

<p>bRet = pImage-&gt;initWithStringShadowStroke(text,</p>
<p>(int)textDefinition-&gt;m_dimensions.width,</p>
<p>(int)textDefinition-&gt;m_dimensions.height,</p>
<p>eAlign,</p>
<p>textDefinition-&gt;m_fontName.c_str(),</p>
<p>textDefinition-&gt;m_fontSize,</p>
<p>textDefinition-&gt;m_fontFillColor.r / 255,</p>
<p>textDefinition-&gt;m_fontFillColor.g / 255,</p>
<p>textDefinition-&gt;m_fontFillColor.b / 255,</p>
<p>shadowEnabled,</p>
<p>shadowDX,</p>
<p>shadowDY,</p>
<p>shadowOpacity,</p>
<p>shadowBlur,</p>
<p>strokeEnabled,</p>
<p>strokeColorR,</p>
<p>strokeColorG,</p>
<p>strokeColorB,</p>
<p>strokeSize);</p>


<p>CC_BREAK_IF(!bRet);</p>
<p>bRet = initWithImage(pImage);</p>

<p>} while (0);</p>

<p>......</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<h2>更改Java实现</h2>
<p>Android 平台对应的 Java 文件位于 $(2DX-Root)/cocos2dx/platform/android/java/src/org/cocos2dx/lib 文件夹中，文件名是 Cocos2dxBitmap.java</p>
<p>首先，我增加了 divideStringWithMaxWidthByFlag 函数，将它作为另一个换行策略的实现函数。</p>
<table>
<tbody>
<tr>
<td>
<p>1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47</p>
<p>48</p>
<p>49</p>
<p>50</p>
<p>51</p>
<p>52</p>
<p>53</p>
<p>54</p>
<p>55</p>
<p>56</p>
<p>57</p>
<p>58</p>
<p>59</p>
<p>60</p>
<p>61</p>
<p>62</p>
<p>63</p>
<p>64</p>
<p>65</p>
<p>66</p>
<p>67</p>
<p>68</p>
<p>69</p>
<p>70</p>
<p>71</p>
<p>72</p>
<p>73</p>
<p>74</p>
<p>75</p>
<p>76</p>
<p>77</p>
<p>78</p>
<p>79</p>
<p>80</p>
<p>81</p>
<p>82</p>
<p>83</p>
<p>84</p>
<p>85</p>
<p>86</p>
<p>87</p>
<p>88</p>
</td>
<td>
<p>// add by fansy for &quot;—&quot; style words</p>
<p>private static LinkedList&lt;String&gt; divideStringWithMaxWidthByFlag(</p>
<p>final String pString, final int pMaxWidth, final Paint pPaint) {</p>
<p>final int charLength = pString.length();</p>
<p>int start = 0;</p>
<p>int tempWidth = 0;</p>
<p>LinkedList&lt;String&gt; strList = new LinkedList&lt;String&gt;();</p>

<p>if( !isChinese(pString) )</p>
<p>{</p>
<p>/* Break a String into String[] by the width &amp; should wrap the word. */</p>
<p>for (int i = 1; i &lt; charLength-1; ++i) {</p>
<p>tempWidth = (int) FloatMath.ceil(pPaint.measureText(pString, start,i+1));</p>
<p>if (tempWidth &gt;= pMaxWidth) {</p>
<p>if(pString.charAt(i) == ‘ ‘) //end with &quot; &quot;</p>
<p>{</p>
<p>//change line at i</p>
<p>strList.add(pString.substring(start, i));</p>
<p>i = i + 1; // skip space</p>
<p>}</p>
<p>else if(i&gt;1 &amp;&amp; pString.charAt(i-2) == ‘ ‘) //only one &quot;-&quot; left after change line</p>
<p>{</p>
<p>//change line at i-2</p>
<p>strList.add(pString.substring(start, i-2));</p>
<p>i = i -2; // skip space</p>
<p>}</p>
<p>else if(i&gt;0 &amp;&amp; pString.charAt(i-1) == ‘ ‘) //only one &quot;-&quot; left after change line</p>
<p>{</p>
<p>//change line at i-1</p>
<p>strList.add(pString.substring(start, i-1));</p>
<p>i = i -1; // skip space</p>
<p>}</p>
<p>else if(i&gt;0) //replace &quot;-&quot; at i-2</p>
<p>{</p>
<p>//split at i-1 add &quot;-&quot; at tail change line at i-1</p>
<p>strList.add(pString.substring(start, i-1)+&quot;-&quot;);</p>
<p>i--;</p>
<p>}</p>

<p>/* Remove spaces at the beginning of a new line. */</p>
<p>while (pString.charAt(i) == ‘ ‘) {</p>
<p>++i;</p>
<p>}</p>

<p>start = i;</p>
<p>}</p>
<p>}</p>

<p>/* Add the last chars. */</p>
<p>if (start &lt; charLength) {</p>
<p>strList.add(pString.substring(start));</p>
<p>}</p>
<p>}</p>
<p>else</p>
<p>{</p>
<p>strList = divideStringWithMaxWidth(pString, pMaxWidth, pPaint);</p>
<p>}</p>
<p>return strList;</p>
<p>}</p>

<p>// 根据Unicode编码完美的判断中文汉字和符号</p>
<p>private static boolean isChinese(char c) {</p>
<p>Character.UnicodeBlock ub = Character.UnicodeBlock.of(c);</p>
<p>if (ub == Character.UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS</p>
<p>|| ub == Character.UnicodeBlock.CJK_COMPATIBILITY_IDEOGRAPHS</p>
<p>|| ub == Character.UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A</p>
<p>|| ub == Character.UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS_EXTENSION_B</p>
<p>|| ub == Character.UnicodeBlock.CJK_SYMBOLS_AND_PUNCTUATION</p>
<p>|| ub == Character.UnicodeBlock.HALFWIDTH_AND_FULLWIDTH_FORMS</p>
<p>|| ub == Character.UnicodeBlock.GENERAL_PUNCTUATION) {</p>
<p>return true;</p>
<p>}</p>
<p>return false;</p>
<p>}</p>

<p>// 完整的判断中文汉字和符号</p>
<p>public static boolean isChinese(String strName) {</p>
<p>char[] ch = strName.toCharArray();</p>
<p>for (int i = 0; i &lt; ch.length; i++) {</p>
<p>char c = ch[i];</p>
<p>if (isChinese(c)) {</p>
<p>return true;</p>
<p>}</p>
<p>}</p>
<p>return false;</p>
<p>}</p>

<p>//end add by fansy</p>
</td>
</tr>
</tbody>
</table>
<p>增加函数之后，修改在 splitString 中的调用：</p>
<table>
<tbody>
<tr>
<td>
<p>1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
</td>
<td>
<p>private static String[] splitString(final String pString,</p>
<p>final int pMaxWidth, final int pMaxHeight, final Paint pPaint) {</p>
<p>final String[] lines = pString.split(&quot;\\n&quot;);</p>
<p>String[] ret = null;</p>
<p>final FontMetricsInt fm = pPaint.getFontMetricsInt();</p>
<p>final int heightPerLine = (int) Math.ceil(fm.bottom - fm.top);</p>
<p>final int maxLines = pMaxHeight / heightPerLine;</p>

<p>if (pMaxWidth != 0) {</p>
<p>final LinkedList&lt;String&gt; strList = new LinkedList&lt;String&gt;();</p>
<p>for (final String line : lines) {</p>
<p>/*</p>
<p>* The width of line is exceed maxWidth, should divide it into</p>
<p>* two or more lines.</p>
<p>*/</p>
<p>final int lineWidth = (int) FloatMath.ceil(pPaint</p>
<p>.measureText(line));</p>
<p>if (lineWidth &gt; pMaxWidth) {</p>
<p>strList.addAll(Cocos2dxBitmap.divideStringWithMaxWidthByFlag(</p>
<p>line, pMaxWidth, pPaint));</p>
<p>} else {</p>
<p>strList.add(line);</p>
<p>......</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>更换调用函数后，编译打包，运行程序即可看到不同的换行效果。</p>

<p>原文链接:&nbsp;<a href="http://www.songyang.net/cocos2dx-change-line/" rel="external nofollow noreferrer">http://www.songyang.net/cocos2dx-change-line/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 17:22:41 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%8d%a2%e8%a1%8c/" title="换行">换行</a>, <a href="https://www.biecuoliao.com/tag/cocos2d-x/" title="cocos2d-x">cocos2d-x</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>更改文字换行风格 ( cocos2dx change line )的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLLqwQM.html" rel="bookmark">Cocos2d-x 更改文字换行风格 &lpar; cocos2dx change line &rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Cocos2dx change line 在 cocos2dx change line 的实现中,我们能够简单的使用 dimensions属性控制换行.使用它仅仅需将相应的參数值传入构造函数,或者调用 setDimensions 函数就可以. 它的换行策略是:当一个单词超出限制长度时.将它移动到下一行. 有时这样的策略并不合适. 比如.在某些语言中,单词都比較长. 假设採用这样的策略.会出现每一行中仅仅有一个单词. 因此须要更改换行策略.当超出限制长度时,使用 - 作为一个分隔单词的标志. 换行			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kjnYlM.html" rel="bookmark">代码风格&mdash;&mdash;Cocos2d-x学习历程&lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Cocos2d-x拥有一个包含其他所有头文件的文件&quot;cocos2d.h&quot;.通常,我们只需要在使用时包含这个头文件,就可以使用引擎的全部功能了. 2.Cocos2d-x的类都放置于cocos2d命名空间下.在游戏中,我们常使用引擎提供的另一个宏USING_NS_CC来引用cocos2d命名空间: #define USING_NS_CC using namespace cocos2d. 3.类的命名与Cocos2d-iPhone一致,由类库缩写加上类名称组成,其中类库缩写采用大写,类名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dEb773.html" rel="bookmark">&amp;lt&semi;add assembly&equals;&amp;quot&semi;Microsoft&period;Office&period;Tools&period;Word&comma; Version&equals;10&period;0&period;0&period;0&comma; Culture&equals;neutral&comma; PublicKeyToken&equals;B03F5F</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Server Error in '/' Application. Configuration Error Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aYbbR0.html" rel="bookmark">oracle的进程管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle进程管理 Oracle进程--server processes + 后台进程              ----------------   --------                 PGA               SGA server processes--功能:负责SQL语句的执行,包括从LRU链表中查找需要的数据块,将修改的内容写入缓冲区.后台进程------功能:将缓冲区的内容写入磁盘:1.将log buffer中内容写入redo log文件, 2.将db buf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGYzQZ3.html" rel="bookmark">重要Transaction Code</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与客户相关  VD01 建立客户 Create customerVD02 更改客户 Change customerVD03 显示客户 Display customerVK11 创建条件 Create ConditionVK12 修改条件 Change ConditionVK13 显示条件 Display ConditionVA21 创建报价 Create QuotationVA22 更改报价 Change QuotationVA23 显示报价 Display QuotationVA01 创建销售			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JRk5P4.html" rel="bookmark">SAP MM t-code 全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事务码 描述(中英文) DPRL Change Material When Profile Deleted 删除参数文件时改变物料 DPRV Change Material When Profile Changed 修改参数文件时修改物料 MM00 物料主记录: 初始屏幕 物料主记录: 初始屏幕 MM01 Create Material - General 创建一般物料 MM02 Change Material 改变物料 MM03 Display Material 显示物料 MM04 Displ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEXq2D4.html" rel="bookmark">网络爬虫讲解（附java实现的实例）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网络蜘蛛即Web Spider,是一个很形象的名字.把互联网比喻成一个蜘蛛网,那么Spider就是在网上爬来爬去的蜘蛛.网络蜘蛛是通过网页的链接地址来寻找网页,从 网站某一个页面(通常是首页)开始,读取网页的内容,找到在网页中的其它链接地址,然后通过这些链接地址寻找下一个网页,这样一直循环下去,直到把这个网站所有的网页都抓取完为止.如果把整个互联网当成一个网站,那么网络蜘蛛就可以用这个原理把互联网上所有的网页都抓取下来. 对于搜索引擎来说,要抓取互联网上所有的网页几乎是不可能的,从目前公布的数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVbm7kM.html" rel="bookmark">magento 12 配置安装教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Magento (麦进斗) 是一套专业开源的电子商务系统.Magento设计得非常灵活,具有模块化架构体系和丰富的功能.易于与第三方应用系统无缝集成.其面向企业级应用,可处理各方面的需求,以及建设一个多种用途和适用面的电子商务网站. 包括购物.航运.产品评论等等,充分利用开源的特性,提供代码库的开发,非常规范的标准,易于与第三方应用系统无缝集成. 准备一: 下载址: 1 https://www.magentocommerce.com/products/downloads/magento/ 下载内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4N2lR84.html" rel="bookmark">android视频播放的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本地视频播放,包括播放.暂停,继续等,还有显示播放的进度.效果如下: 1.activity_main.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tool			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0215DM.html" rel="bookmark" class="title">洛谷 P1273 有线电视网（dp）</a>
					<div>
						/* 想了半天没想出状态 自己还是太弱了 QAQ 题目问的是最多供给多少户 一般想法是把这个值定义为状态量 没想出来QAQ....看了看题解的状态 很机智.... f[i][j]表示i的子树 选了j个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bpJz0.html" rel="bookmark" class="title">《编程之美》3&period;6判断链表是否相交之扩展：链表找环方法证明</a>
					<div>
						先看看原题:&lt;编程之美&gt;3.6编程判断两个链表是否相交,原题假设两个链表不带环. 为了防止剧透使得没看过原题目的读者丧失思考的乐趣,我把最好的解法隐藏起来.由于这个问题本身的解答并不是本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qopB5M.html" rel="bookmark" class="title">effective C&plus;&plus; 读书笔记  条款08</a>
					<div>
						条款08  别让异常逃离析构函数: 假设在析构函数其中发生了异常,程序可能会过早结束或者导致不明白行为(异常从析构函数传播出去) 看代码: #include &lt;iostream&gt; usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDDJE3.html" rel="bookmark" class="title">搭建theos&colon;在windows上进行ios开发</a>
					<div>
						鉴于现在在百度里能搜到的关于ios开发的东西,我先讲为什么写这篇博客:开发越狱ios可以不用mac os!! 以前就想给iphone写些程序玩玩,但是网上总说需要一台苹果电脑才行,为此我曾在PC上安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYDzYM.html" rel="bookmark" class="title">android ViewPager左右滑动翻页，并可以删除page</a>
					<div>
						首先新建一个Activity,继承FragmentActivity. 初始化一个Fragment的List集合,用于像FragmentStatePagerAdapter填充数据,而ViewPager由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5ybe3.html" rel="bookmark" class="title">SQL Server 2012笔记分享-9：理解列存储索引</a>
					<div>
						优点和使用场景 SQL Server 内存中列存储索引通过使用基于列的数据存储和基于列的查询处理来存储和管理数据. 列存储索引适合于主要执行大容量加载和只读查询的数据仓库工作负荷. 与传统面向行的存储 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5QpZ3.html" rel="bookmark" class="title">vijos 1128&lpar;N个数选K个数&rpar;</a>
					<div>
						从 n 个整数中任选 k 个整数相加,可分别得到一系列的和 要求你计算出和为素数共有多少种 IN4 33 7 12 19 OUT1 1 # include &lt;iostream&gt; 2 # i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGy5yM.html" rel="bookmark" class="title">linux c 进程 pipe 通信代码分析</a>
					<div>
						[[email protected] 04]# cat ex04-3-pipe02.c #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAEK84.html" rel="bookmark" class="title">js对数组元素大小排序实例代码</a>
					<div>
						js对数组元素大小排序实例代码:在实际应用中,有时候需要对数组中的元素按照大小来进行排序,当然是先排序的方法有多种,比如使用数组对象自带的sort()方法,本章节再来分享一种其他的方式,先看代码实例: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1L9gM.html" rel="bookmark" class="title">centOS安装Mysql指南</a>
					<div>
						说明:使用操作系统centOS6.4 32位系统:mysql:mysql-5.7.10-linux-glibc2.5-i686.tar.gz; 一.准备 下载mysql wget http://mir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYZQZ4.html" rel="bookmark" class="title">Hibernate&plus;C3P0下连接超时总结</a>
					<div>
						最近后台总是会遇到当几个游戏区并发通知后台写入统计数据时,发生连接已超时的问题,抛出如下异常,导致一些统计数据未有写进去. Mysql服务器默认的&quot;wait_timeout&quot;是8小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekaWw4.html" rel="bookmark" class="title">编辑距离（动规）</a>
					<div>
						题意:设A,B是两个字符串.我们现在要用最少的操作的次数,将字符串A转换成字符串B,这里所说的字符操作有三种: (1)删除一个字符 (2)插入一个字符 (3)将一个字符改为另一个字符 任务: 对任意A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRv6o4.html" rel="bookmark" class="title">JNDI到底是什么，有什么作用</a>
					<div>
						http://shitou521.iteye.com/blog/696006 ******************************************* JNDI的一篇文章 前端时间总是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeqEEM.html" rel="bookmark" class="title">基于&period;NET平台常用的框架整理 &lbrack;转&rsqb;</a>
					<div>
						基于.NET平台常用的框架整理[转] 原文地址:http://www.cnblogs.com/hgmyz/p/5313983.html 自从学习.NET以来,优雅的编程风格,极度简单的可扩展性,足够强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8neKM.html" rel="bookmark" class="title">Android定位</a>
					<div>
						大家去网上搜索Android定位location为null没法定位问题,估计有一大堆文章介绍如何来解决,但是最后大家发现基本没用.本文将从Android定位实现原理来深入分析没法定位原因并提出真正的解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRl1n3.html" rel="bookmark" class="title">Maven使用总结</a>
					<div>
						Maven是什么 Maven是优秀的构建工具: 构建是指项目的清理.编译.测试到生成构建报告.再到打包和部署的过程,使用java原生命令或者在IDE中操作,只能执行构建中的某一步操作,而Maven能帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLDxw0.html" rel="bookmark" class="title">关于无线路由的wds功能的使用即无线桥接</a>
					<div>
						五一之前在一家旅社,老板想再安装一个无线路由以覆盖所有地方,可是两个路由的距离有点远,扯网线不方便. 我看了觉得两个无线路由应该可以通过无线连接.所以就给他说我给你试试用无线连接两个路由器.呃(-?- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobkNl4.html" rel="bookmark" class="title">Android优化&mdash;&mdash;UI优化（一）优化布局层次</a>
					<div>
						优化布局层次 1.避免布局镶嵌过深(如下) &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/androi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWw6z0.html" rel="bookmark" class="title">js获取file控件的完整路径</a>
					<div>
						1 &lt;%@ page language=&quot;java&quot; contentType=&quot;text/html; charset=UTF-8&quot; 2 pageEncod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l11eo3.html" rel="bookmark" class="title">java伪代码 读后感</a>
					<div>
						public class yugongyishan { public static void main(String args) { int 愚公,子孙: 愚公移山() { if(愚公死) 子孙继续移 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.045 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
